Subject: [IPv6] Why does IPV6_ROUTE_INFO still depends on EXPERIMENTAL?

From: "Stefan (metze) Metzmacher" <[email-masked]>
Date: Wed, 13 Jul 2011 00:03:21 +0200

Hi,

I'm wondering why IPV6_ROUTE_INFO still depends on EXPERIMENTAL about
5 years after the initial implementation?

I'm also wondering why IPV6_PRIVACY, IPV6_ROUTER_PREF, IPV6_ROUTE_INFO
are compile time switches at all, while there're runtime switches which
are of
by default.

It would be nice to have more IPv6 features enabled (at compile time) by
default,
so that features can be turned (at runtime) with default distribution
kernels.

Is there a chance get patches accepted, which remove some compile time
switches?

metze